# Approvals

## List approval requests

> Returns a list of approval requests

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_Approvals"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_ApprovalStatus":{"type":"string","enum":["Approved","Pending","Rejected","Failed"]},"agent_ApprovalRequestField":{"type":"string","enum":["entityName","createdBy","createdAt"]},"agent_Order":{"type":"string","enum":["asc","desc"]},"agent_Page_Request":{"required":["pagesAmount","totalCount"],"type":"object","properties":{"values":{"type":"array","items":{"$ref":"#/components/schemas/agent_Request"}},"pagesAmount":{"type":"integer","format":"int64"},"totalCount":{"type":"integer","format":"int64"}}},"agent_Request":{"required":["id","entityName","type","entityType","settings","metadata","createdAt","createdBy","approvalStatus","defaultTopicConfig"],"type":"object","properties":{"id":{"type":"string","format":"uuid"},"entityName":{"type":"string"},"type":{"$ref":"#/components/schemas/agent_RequestType"},"entityType":{"$ref":"#/components/schemas/agent_EntityType"},"settings":{"$ref":"#/components/schemas/agent_Settings"},"metadata":{"$ref":"#/components/schemas/agent_Metadata"},"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string"},"approvalStatus":{"$ref":"#/components/schemas/agent_ApprovalStatus"},"rejectionReason":{"type":"string"},"failureReason":{"type":"string"},"reviewedBy":{"type":"string"},"reviewedAt":{"type":"string","format":"date-time"},"defaultTopicConfig":{"$ref":"#/components/schemas/agent_Map_String_DefaultTopicConfigs"}}},"agent_RequestType":{"type":"string","enum":["Create","Update","Delete"]},"agent_EntityType":{"type":"string","enum":["KafkaTopic"]},"agent_Settings":{"required":["replication","partitions","capacity"],"type":"object","properties":{"replication":{"type":"integer"},"partitions":{"type":"integer"},"topicConfig":{"type":"object","additionalProperties":{"type":"string"}},"capacity":{"$ref":"#/components/schemas/agent_Capacity"}}},"agent_Capacity":{"type":"object","properties":{"recordsSize":{"type":"integer"},"dataProducedPerDay":{"type":"integer"},"consumers":{"type":"integer"}}},"agent_Metadata":{"required":["reason"],"type":"object","properties":{"reason":{"type":"string"},"tags":{"type":"array","items":{"type":"string"}}}},"agent_Map_String_DefaultTopicConfigs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/agent_DefaultTopicConfigs"}},"agent_DefaultTopicConfigs":{"required":["default","serverDefaultProperties","description"],"type":"object","properties":{"default":{"type":"string"},"serverDefaultProperties":{"type":"string"},"description":{"type":"string"}}},"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/v1/approvals":{"get":{"tags":["agent_Approvals"],"summary":"List approval requests","description":"Returns a list of approval requests","operationId":"listApprovalRequests","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}},{"name":"approvalStatus","in":"query","required":false,"schema":{"type":"array","items":{"$ref":"#/components/schemas/agent_ApprovalStatus"}}},{"name":"page","in":"query","description":"The page number to be returned, must be greater than zero. Defaults to 1.","required":false,"schema":{"type":"integer"}},{"name":"pageSize","in":"query","description":"The elements amount on a single page, must be greater than zero.","required":true,"schema":{"type":"integer"}},{"name":"sortField","in":"query","description":"The field to sort results by","required":false,"schema":{"$ref":"#/components/schemas/agent_ApprovalRequestField"}},{"name":"sortOrder","in":"query","description":"Sorting order. Defaults to ascending","required":false,"schema":{"$ref":"#/components/schemas/agent_Order"}},{"name":"entityName","in":"query","description":"filter request by matching entity names","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Page_Request"}}}},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Create a new approval request

> Creates a new approval request

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_Approvals"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_NewRequest":{"oneOf":[{"$ref":"#/components/schemas/agent_CreateNewEntity"},{"$ref":"#/components/schemas/agent_DeleteExistingEntity"},{"$ref":"#/components/schemas/agent_UpdateExistingEntity"}]},"agent_CreateNewEntity":{"required":["entityName","entityType","settings","metadata"],"type":"object","properties":{"entityName":{"type":"string"},"entityType":{"$ref":"#/components/schemas/agent_EntityType"},"settings":{"$ref":"#/components/schemas/agent_Settings"},"metadata":{"$ref":"#/components/schemas/agent_Metadata"}}},"agent_EntityType":{"type":"string","enum":["KafkaTopic"]},"agent_Settings":{"required":["replication","partitions","capacity"],"type":"object","properties":{"replication":{"type":"integer"},"partitions":{"type":"integer"},"topicConfig":{"type":"object","additionalProperties":{"type":"string"}},"capacity":{"$ref":"#/components/schemas/agent_Capacity"}}},"agent_Capacity":{"type":"object","properties":{"recordsSize":{"type":"integer"},"dataProducedPerDay":{"type":"integer"},"consumers":{"type":"integer"}}},"agent_Metadata":{"required":["reason"],"type":"object","properties":{"reason":{"type":"string"},"tags":{"type":"array","items":{"type":"string"}}}},"agent_DeleteExistingEntity":{"required":["entityName","entityType","metadata"],"type":"object","properties":{"entityName":{"type":"string"},"entityType":{"$ref":"#/components/schemas/agent_EntityType"},"metadata":{"$ref":"#/components/schemas/agent_Metadata"}}},"agent_UpdateExistingEntity":{"required":["entityName","entityType","metadata","settings"],"type":"object","properties":{"entityName":{"type":"string"},"entityType":{"$ref":"#/components/schemas/agent_EntityType"},"metadata":{"$ref":"#/components/schemas/agent_Metadata"},"settings":{"$ref":"#/components/schemas/agent_Settings"}}},"agent_IdCreated":{"required":["id"],"type":"object","properties":{"id":{"type":"string","format":"uuid"}}},"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/v1/approvals":{"post":{"tags":["agent_Approvals"],"summary":"Create a new approval request","description":"Creates a new approval request","operationId":"createApprovalRequest","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NewRequest"}}},"required":true},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_IdCreated"}}}},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Get approval request details

> Returns the approval request details

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_Approvals"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_Request":{"required":["id","entityName","type","entityType","settings","metadata","createdAt","createdBy","approvalStatus","defaultTopicConfig"],"type":"object","properties":{"id":{"type":"string","format":"uuid"},"entityName":{"type":"string"},"type":{"$ref":"#/components/schemas/agent_RequestType"},"entityType":{"$ref":"#/components/schemas/agent_EntityType"},"settings":{"$ref":"#/components/schemas/agent_Settings"},"metadata":{"$ref":"#/components/schemas/agent_Metadata"},"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string"},"approvalStatus":{"$ref":"#/components/schemas/agent_ApprovalStatus"},"rejectionReason":{"type":"string"},"failureReason":{"type":"string"},"reviewedBy":{"type":"string"},"reviewedAt":{"type":"string","format":"date-time"},"defaultTopicConfig":{"$ref":"#/components/schemas/agent_Map_String_DefaultTopicConfigs"}}},"agent_RequestType":{"type":"string","enum":["Create","Update","Delete"]},"agent_EntityType":{"type":"string","enum":["KafkaTopic"]},"agent_Settings":{"required":["replication","partitions","capacity"],"type":"object","properties":{"replication":{"type":"integer"},"partitions":{"type":"integer"},"topicConfig":{"type":"object","additionalProperties":{"type":"string"}},"capacity":{"$ref":"#/components/schemas/agent_Capacity"}}},"agent_Capacity":{"type":"object","properties":{"recordsSize":{"type":"integer"},"dataProducedPerDay":{"type":"integer"},"consumers":{"type":"integer"}}},"agent_Metadata":{"required":["reason"],"type":"object","properties":{"reason":{"type":"string"},"tags":{"type":"array","items":{"type":"string"}}}},"agent_ApprovalStatus":{"type":"string","enum":["Approved","Pending","Rejected","Failed"]},"agent_Map_String_DefaultTopicConfigs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/agent_DefaultTopicConfigs"}},"agent_DefaultTopicConfigs":{"required":["default","serverDefaultProperties","description"],"type":"object","properties":{"default":{"type":"string"},"serverDefaultProperties":{"type":"string"},"description":{"type":"string"}}},"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/v1/approvals/{id}":{"get":{"tags":["agent_Approvals"],"summary":"Get approval request details","description":"Returns the approval request details","operationId":"getApprovalRequest","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"The request id","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Request"}}}},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Approve a request

> Approves the request

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_Approvals"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/v1/approvals/{id}/approve":{"put":{"tags":["agent_Approvals"],"summary":"Approve a request","description":"Approves the request","operationId":"approveRequest","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":""},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Reject an approval request

> Rejects the approval request

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_Approvals"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_RejectionMessage":{"type":"object","properties":{"rejectionReason":{"type":"string"}}},"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/v1/approvals/{id}/reject":{"put":{"tags":["agent_Approvals"],"summary":"Reject an approval request","description":"Rejects the approval request","operationId":"rejectRequest","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_RejectionMessage"}}},"required":true},"responses":{"204":{"description":""},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.lenses.io/latest/api-reference/6.1/reference/approvals.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
